#!/bin/sh

# createlist.sh
# Create the master list from the contents of the image diretory
# This is the user frontend
# See the file LICENSE in the main distribution for license info
# Written by Matthew Fuller <fullermd@over-yonder.net>

# Grab the config files
# Set by Makefile on install
CONFDIR="/usr/local/etc"
export CONFDIR
. $CONFDIR/bgrot.conf

if [ -f $DATADIR/bgrot.conf ]; then
	. $DATADIR/bgrot.conf
elif [ -f $HOME/.bgrotrc ]; then
. $HOME/.bgrotrc
fi

cd $DATADIR
$BINDIR/masterlistgen.sh | sort +0 -1 > master.background.list
# Note that we don't really NEED the sort, just being careful
